package de.intevation.gnv.math;

import java.util.ArrayList;
import java.util.List;

/**
 * @author Ingo Weinzierl <ingo.weinzierl@intevation.de>
 */
public class XYColumn {

    private double x;
    private double y;

    private int    i;
    private int    j;

    private List   values;

    public XYColumn(double x, double y, int i, int j) {
        this.x = x;
        this.y = y;
        this.i = i;
        this.j = j;

        values = new ArrayList();
    }


    public void add(HeightValue value) {
        values.add(value);
    }


    public HeightValue[] getValues() {
        return (HeightValue[]) values.toArray(new HeightValue[values.size()]);
    }
}
